#
# spec file for package python-clientform
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
%define mod_name ClientForm

Name:           python-ClientForm
Version:        0.2.10
Release:        lp152.3.3
Summary:        Python module for client-side HTML forms
License:        BSD-3-Clause or ZPL-2.1
Group:          Development/Libraries/Python
Url:            https://pypi.python.org/pypi/ClientForm/
Source0:        https://pypi.python.org/packages/source/C/ClientForm/%{mod_name}-%{version}.tar.gz
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ClientForm is a Python module for handling HTML forms on the client side,
useful for parsing HTML forms, filling them in and returning the completed
forms to the server.  It developed from a port of Gisle Aas' Perl module
HTML::Form, from the libwww-perl library, but the interface is not the same.

%prep
%setup -q -n %{mod_name}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING.txt GeneralFAQ.html README.html examples
%{python_sitelib}/%{mod_name}.py*
%{python_sitelib}/%{mod_name}-%{version}-py%{py_ver}.egg-info

%changelog
* Mon Nov  4 2013 p.drouand@gmail.com
- Don't use %%_python macro for build and install; just use "python"
  instead
- Use download url as source
- %%{_module}-%%{version}-py%%{py_ver}.egg-info was listed twice
- Remove %%{py_requires} macro
* Mon Nov  4 2013 Sascha Manns <saigkill@opensuse.org>
- some makeup
* Sun Nov  3 2013 Sascha Manns <saigkill@opensuse.org>
- make fit for devel:languages:python as expected in
  https://build.opensuse.org/request/show/205625
- In detail
  o removed export CFLAGS
  o removed %%%%clean section
  o removed --record-rpm=INSTALLED_FILES
  o added %%%%{python_sitelib}/%%%%{name}
* Fri Dec  9 2011 cfarrell@suse.com
- license update: BSD-3-Clause or ZPL-2.1
  See COPYING.txt - this package is dual licensed under either BSD-3-Clause
  or ZPL-2.1 (using SPDX syntax)
* Thu Dec  8 2011 coolo@suse.com
- fix license to be in spdx.org format
* Sun Jan  9 2011 pascal.bleser@opensuse.org
- update to 0.2.10:
  * fix bug that caused some newlines to be erroneously stripped from form data
  * fix for missing closing tags: When there was no closing body tag or closing form tag, the final opening form element on a page would not cause a form object to be returned from ParseFileEx &c
  * yse Title-Case in MIME headers in form data
  * FileControl fixes for no-files and no-filename cases
- changes from 0.2.9:
  * fix "import *" in case where BeautifulSoup 2 is not available
- changes from 0.2.8:
  * don't eagerly close label when the element for that label is seen, since there may be more label text to follow
* Sun May 30 2010 toms@suse.de
- Fixed Group: Development/Libraries/Python to make it consistent
  with other Python packages
* Fri Oct 27 2006 poeml@suse.de
- import spec file from Fedora 5 Extras
